#ifndef MCP4725_H
#define MCP4725_H

#include <stdint.h>

#define MCP4725_RESOLUTION_BITS 12

#define MCP4725_STEP_MIN 0
#define MCP4725_STEP_MAX 4095

struct mcp4725;

struct mcp4725 *mcp4725_open(const char *dev_path, int addr);
//int mcp4725_read(struct mcp4725 *sens, uint8_t start_addr, int read_size, uint8_t *digit);
int mcp4725_write(struct mcp4725 *sens, uint8_t pd, int step);
/**** sample: for I2C SMBUS: begin ****/
//int mcp4725_read_smbus_byte(struct mcp4725 *sens, uint8_t start_addr, uint8_t *digit);
/**** sample: for I2C SMBUS: end ****/
int mcp4725_close(struct mcp4725 *sens);
#endif
